<?php session_start();?>
<?php include('../_cfg/config.php');?>
<?php include('php_gene1.php'); ?>
<?php include('php_session.php');?>
<?php foreach($_POST as $campo => $valor){${$campo}=$valor;} ?>

<?php if($pant==''){$pant='PANT0';}?>

<?php if(!mb_stristr('PANT.GRAB',substr($pant,0,4))) {return;} ?>

<?php
$xenti='';
$xdocu='FP10';
$xptoe='001001';
// $numero='';
$xcair='312';
if($idnum=='undefined'){$idnum='';}  
?>

<?php	
	
$user_anul=0;
$user_elim=0;

$modi_docu=1;

if($user_tipo=='sist'){$user_anul=1;$user_elim=1;}
if($user_tipo=='supe'){$user_anul=1;$user_elim=1;}

if($empr_codigo=='tgck'){$bode='B001';}

if(empty($bode)){$bode=$user_bode;}
if(empty($bode)){$bode='B001';}

// echo '*/*/*'.$docu;
if($docu=='undefined')
{$docu='IB10';}
else
{
//   $docu.='';
//   $docu=substr($docu,0,4);
}


// $tabla=r_fiel('docu',$docu,'tabla');
$entilabel='ENTIDAD';

$tabla='inve';
  
if($tabla=='acce'){$user_anul=0;$user_elim=0;$modi_docu=0;}


$xfontsize=12;
if($orient=='V'){$xfontsize=40;}
if($orient=='H'){$xfontsize=12;}

$hpant1 =ceil($screenh*0.30);
$hpant11=ceil($screenh*0.10);
$hpant2 =ceil($screenh*0.30);

$wpant1 =$screenw*.9;
	
if ($orient=='V')
{
	$hpant1 =ceil($screenh*0.90);
	$hpant11=ceil($screenh*0.40);
	$hpant2 =ceil($screenh*0.90);
  $wpant1 =$screenw-20;
}

?>

<?php
$docuacce=$docu;  
include('php_useracce.php');
?>



<?php ob_start(); ?>
<resultado>
  
<?php
// PRUEBAS	
$date=date('H:i:s',strtotime('now')) ;
?>
  
  
<?php if(mb_stristr('PANT0',$pant)) { ?>
<?php $fecha1=date('Y-m-01',strtotime ('today')); ?>
<?php $fecha2=date('Y-m-01',strtotime ('+1 month')); ?>
<?php $fecha2=date('Y-m-d',strtotime ($fecha2.' -1 day')); ?>
<?php $fecha2=$fechaa; ?>
  
<?php $pidtxt='dl_numfac'; $ptabla='empr';  include('vrsetlist.php'); ?>
  
<?php val_usercodigo(); ?>
  
<?php $pidtxt='detadocu'; $pcaption='Detalle'; $ponclick='regi_rpro("DETA")'; $psize=$xfontsize; $pdefa=0; $phide=1; include('vrchkbox.php'); ?>
<?php $xobj=3;?>
   
<?php //if($mobile=='true'){$xobj=2; $xfontsize=$xfontsize*1.0; }?>

		<div id="pant0" style="border:solid 2px; overflow:auto;">
		<?php { ?>
         <?php $pidtxt='dl_lote'; $ptabla='empr';  include('vrsetlist.php'); ?>
			<table id="tpant0" cellpadding="2" width="99%" border="0"
					 style="font-size:<?php echo $xfontsize; ?>px;border-collapse:collapse; background-color:white;">
				<tr>
          <td valign="top">
          <table width="100%" cellpadding="2" border="0"
                style="font-size:<?php echo $xfontsize; ?>px;border-collapse:collapse; background-color:white;">
              <tr>
                <?php if($mobile!='true'){?>        
                <td width="25%">
                </td>
                <?php } ?>
                <td colspan="2" align="center" <?php if($mobile=='false'){echo 'style="display:none;"';}else{echo 'style="text-transform:uppercase;font-weight:bold;font-family:arial;font-size:'.($xfontsize*1.2).';"';} ?> >
                  <?php if($docu==''){$xtitulo='Registro de INVENTARIOS';}else{$xtitulo='Registro de '.r_fiel('docu',$docu);} ?>
                  <titulo><?php echo $xtitulo; ?></titulo>
                </td>
              </tr>
              <tr style='display:none;'>
                <?php $pidtxt='modu'; $pcaption='MODULO';  $psize=$xfontsize; $pdefa='INVE';  $pvalue='INVE';
                 $preado=1; $phide=1;
                 $pobj=$xobj;  include('vrgettxt.php'); 
                ?>
              </tr>
              <tr style='display:none;'>
                <?php $pidtxt='repo'; $pcaption='REPORTE';   $psize=$xfontsize; $pdefa='ssss';  $pvalue='ssss';
                 $preado=1; $phide=1;
                 $pobj=$xobj;  include('vrgettxt.php'); ?>
              </tr>
            <?php $xfechar=2; ?>
            <?php if(mb_stristr('hfre',$cfg_empr)){$xfechar=1;} ?>
              <tr style='display:none;'>
                <?php $pidtxt='fechar'; $pcaption='FECHAR';   $psize=$xfontsize; $pdefa=$xfechar;  $pvalue=$xfechar;
                 $preado=1; $phide=1;
                 $pobj=$xobj;  include('vrgettxt.php'); ?>
              </tr>
              <tr>
                <?php $pidtxt='bode'; $pcaption='BODEGA'; $ptabla='bode';  $psize=$xfontsize; $pdefa=$bode;  $pvalue=$bode;
                 if($bode==''){$pvalue='B001';}
//                   else{$preado=1;}
                 $pobj=$xobj;  include('vrgetcod.php'); ?>
              </tr>
              <tr>
                <?php $pidtxt='docu'; $pcaption='DOCUM.'; $ptabla='docu';  $psize=$xfontsize; $pdefa=$docu; $pvalue=$docu;  
                  $ponblur="vali_docu();";        
          
                  $pobj=$xobj; $pwhere='and(docu_tabla="'.$tabla.'")'; include('vrgetcod.php'); ?>
              </tr>
              <tr>
                <?php $pidtxt='enti'; $pcaption=$entilabel; $ptabla='enti';  $psize=$xfontsize; $pdefa=$xenti;  $pobj=$xobj; if($idnum!=''){$preado=1;} include('vrgetcod.php'); ?>
              </tr>

          <?php if($mobile!='true'){?>        
          </table>

          </td>
          <td valign="top">
            
            <table width="100%" cellpadding="2" border="0"
                  style="font-size:<?php echo $xfontsize; ?>px;border-collapse:collapse; background-color:white;">
          
              <tr>
                <td width="25%"></td>
              </tr>
          <?php } ?>
              
               <tr>
				   <?php 	$pidtxt='item'; $pcaption='Item'; $ptabla='item'; $pdefa=''; $pnotob=0;  $pexact=0; $psize=$xfontsize;  $pobj=$xobj;
                    $pwhere='and(item_codigo not like "99%" )';
                     $ponclick='list_lote();';
                     include('vrgetcod.php');
                ?>
              </tr>
              <tr> 
								<?php 	$pidtxt='cant'; $pcaption='Cantidad';  $pdefa=1; $psize=$xfontsize;  $pobj=$xobj;  include('vrgetval.php'); ?>
              </tr>
              <tr id="tr_puni" style="display:none;"> 
								<?php 	$pidtxt='puni'; $pcaption='P.Unit.';  $pdefa=1; $psize=$xfontsize;  $pobj=$xobj;  include('vrgetval.php'); ?>
              </tr>
              
          <?php if($mobile!='true'){?>        
          </table>

          </td>
          <td valign="top">
            
            <table width="100%" cellpadding="2" border="0"
                  style="font-size:<?php echo $xfontsize; ?>px;border-collapse:collapse; background-color:white;">
          
              <tr>
                <td width="25%"></td>
              </tr>
          <?php } ?>
              <tr>
						<?php $pidtxt='umdd'; $pcaption='UMDD';  $psize=$xfontsize; $pobj=$xobj; $preado=1; $plong=4;
//                   $plist='dl_lote';
                  include('vrgettxt.php'); ?>
              </tr>            
            
              
              <tr>
						<?php $pidtxt='lote'; $pcaption='LOTE'; $ptabla='lote'; $psize=$xfontsize; $pobj=$xobj; $pnotob=1;
//                   $plist='dl_lote';
                  include('vrgetcod.php'); ?>
              </tr>            
            
              <tr id="tr_bode2" style="display:none;">
                <?php $pidtxt='bode2'; $pcaption='BODEGA 2'; $ptabla='bode';  $psize=$xfontsize; $pdefa='';  $pobj=$xobj;  include('vrgetcod.php'); ?>
              </tr>
            
              <tr id="tr_numfac" style="display:none;">
                <?php $fecha1=date('Ymd',strtotime('-30 days')); ?>
                <?php $fecha2=date('Ymd',strtotime('+30 days')); ?>
                <?php $pidtxt='numfac'; $pcaption='# FC/NC'; 
                $plist='dl_numfac';
//                   $pdocu='FC'; $pcolu='numero'; $plong=9;
//                   $pwhere='(fecha between "'.$fecha1.'" and "'.$fecha2.'" )';
                $psize=$xfontsize; $pdefa='';  $pobj=$xobj;  include('vrgetnum.php'); ?>
              </tr>

              

          </table>

          <?php if($mobile!='true'){?>        
          </td>
          <td valign="top">
          <?php } ?>
            
            <table width="100%" cellpadding="2" border="0"
                  style="font-size:<?php echo $xfontsize; ?>px;border-collapse:collapse; background-color:white;">
          
              <tr>
                <td width="25%"></td>
              </tr>
              
              
              
              
               <tr>
								<?php 	$pidtxt='detalle'; $pcaption='NOTAS'; $psize=$xfontsize;  $pobj=$xobj; if($mobile=='true'){$pobj=2;}; $plong=20; $prows=2; include('vrgettxt.php'); ?>
              </tr>            
         </table>
            
        
          <?php if($mobile!='true'){?>        
          </td>
          <td valign="top">
          <?php } ?>

          <table width="100%" cellpadding="2" border="0"
                  style="font-size:<?php echo $xfontsize; ?>px;border-collapse:collapse; background-color:white;">
           <tr>
           <td style="display:;">
            <?php $pidtxt='consul'; $pcaption='Consultar '; $ponclick="info_docu('PANT3','IEBX');"; $psize=$xfontsize; include('vrbutton.php'); ?>
            </td>  
            <?php if($mobile!='true'){?>        
            </tr>
<!--             <tr><td><br></td></tr> -->
            <tr>
            <?php } ?>              
            <td>
					  <?php $pidtxt='imprim'; $pcaption='Saldos'; 
            $ponclick='info_modu("IMPR1",'.'document.getElementById("modu").value'.')'; 
            $psize=$xfontsize; include('vrbutton.php'); ?>
            </td>
            <?php if($mobile!='true'){?>        
            </tr>
            <tr><td><br></td></tr>
            <tr>
            <?php } ?>              
            <td>
            <?php $pidtxt='graba'; $pcaption='Grabar'; $ponclick='regi_inve("GRABA");document.getElementById("item").value="";info_docu("PANT3","IEBX");'; $psize=$xfontsize; include('vrbutton.php'); ?>
            </td>
              
              
            <?php if($mobile=='true'){?>        
              </tr>
              <tr><td><br></td></tr>
              <tr>
            <?php } ?>              
            </tr>
          </table>
            
            
           </td>

              	
				</tr>	
			</table>
      
    <div id="clortlla">
    </div>      
      
		<?php } ?>
		</div>	
		<div id="pant1" style="border:solid 1px; overflow:auto; font-family:arial;">
		<div id="tpant1b"></div>
    </div>
		<hr>
		<div id="pant11" style="border:solid 1px; overflow:auto; font-family:arial; display:none;"></div>
		<div id="pant2"  style="border:solid 1px; overflow:auto; font-family:arial; display:none;
					<?php if($orient=='V'){echo'min-height:'.($hpant2-75).'px;';}else{echo'min-height:'.($hpant2-90).'px;';}  ?> 
					<?php if($orient=='V'){echo'height:'.($hpant2-75).'px;';}else{echo'height:'.($hpant2-30).'px;';}  ?> 
           "></div>
		<div id="pant9"></div>
<?php } ?>			

<?php if(mb_stristr('GRABA',$pant)){ ?>
	
	<?php $crow=0; ?>
	<?php $ccol=0; ?>
	<?php $tnumero=0; ?>
	<?php //echo '***'.date('H:i:s') .'<br>';?>
	<pant1>
	<?php	val_usercodigo(); ?>
	<?php 	
   if(mb_stristr('GRABA',$pant))  
   {
     $grabaok=1;
      
     if(!mb_stristr('IB.EB',substr($docu,0,2)) or $bode=='' or $item=='')
     {$grabaok=0;}     

      
      
    if(mb_stristr($docu,'13'))
    {
       if($bode2=='' or $bode==$bode2)
       {
           $grabaok=0;
           echo '<msgalert>';
           echo '*** BODEGA 2  INVALIDA ***';
           echo '</msgalert>';
       }
    }
    else
    {$bode2='';}

//    if(!mb_stristr('IB10.EB10',$docu))
    if(!mb_stristr('IB10.EB10.IB12.EB12.EB19',$docu))
    {$numfac='';}

    if(!mb_stristr('IB15',$docu))
    {$impor='';}

      
      
      
     if(!empty($lote))
     {
        if(substr($docu,0,2)=='EB')
        {
           $sql_lote='select * from inve12 where status!="O" and docu like "IB%" and item="'.$item.'" and lote="'.$lote.'" order by fecha desc';
           $res_lote=msql_query($sql_lote,$link_vcrx);
           if(msql_num_rows($res_lote)==0)
           {
              $grabaok=0;
              echo '<msgalert>';
              echo '*** LOTE NO CORRESPONDE ***';
              echo '</msgalert>';
           }
        }
     }

     $itemdesc=r_fiel('item',$item);
     if(mb_stristr($itemdesc,'NUEVO EAN')){r_fiel('item',$item,'descri',$detalle);$detalle='';}  
     if($cant==0){$cant=1;}
     if($puni==0){$puni=1/100;}
     
     if($enti=='' and substr($docu,0,1)=='I'){$enti='9999999999';}
     if($enti=='' and substr($docu,0,1)=='E'){$enti=$cfg_ruc;}
     $fecha=date('Y-m-d',strtotime('now'));
     $ptoe=r_fiel('bode',$bode,'ptoe');
     if($ptoe==''){$ptoe='001001';}

     if($grabaok==0)
     {
       echo '<msgalert>';
       echo ' ERROR AL GRABAR';
       echo '</msgalert>';
     }
      
     if($grabaok==1)
     {
        $sql_idnum ='select * from '.$tabla.'1 ';
        $sql_idnum.=' where docu="'.$docu.'"';
        $sql_idnum.=' and ptoe="'.$ptoe.'"';
        $sql_idnum.=' and bode="'.$bode.'"';
        $sql_idnum.=' and bode2="'.$bode2.'"';
        $sql_idnum.=' and enti like "'.substr($enti,0,10).'%"';
        $sql_idnum.=' and fecha="'.$fecha.'"';
        $sql_idnum.=' and numfac="'.$numfac.'"';
        $sql_idnum.=' and status!="X"';
        $sql_idnum.=' and status!="O"';
        $sql_idnum.=' order by idnum1 desc';
        $res_idnum=msql_query($sql_idnum,$link_vcrx);

//            echo '<msgalert>';
//            echo $sql_idnum.msql_error();
//            echo '</msgalert>';
        
        
        if(msql_num_rows($res_idnum)==0)
        {
          $sql_inse ='insert into ';
          $sql_inse.=''.$tabla.'1(docu,ptoe,bode,bode2,enti,fecha,numfac,status,iuser,idate)';
          $sql_inse.='value("'.$docu.'","'.$ptoe.'","'.$bode.'","'.$bode2.'","'.$enti.'","'.$fecha.'","'.$numfac.'","-","'.$user_codigo.'",now())';
          $res_inse=msql_query($sql_inse,$link_vcrx);

          $res_idnum=msql_query($sql_idnum,$link_vcrx);

          $idnum=msql_result($res_idnum,0,'idnum1');
          $numero=nume_docu($docu,$ptoe);

          $sql_updt ='update '.$tabla.'1 set ';
          $sql_updt.=' numero="'.$numero.'",';
           
          if(mb_stristr($docu,'13'))
          {$sql_updt.=' bode2="'.$bode2.'",';}
           
          if(mb_stristr('IB10.EB10',$docu))
          {$sql_updt.=' numfac="'.$numfac.'",';}
           
          if(mb_stristr('IB15',$docu))
          {$sql_updt.=' impor="'.$impor.'",';}
           
          $sql_updt.=' status="-"';
          $sql_updt.=' where idnum1="'.$idnum.'"';
          $res_updt=msql_query($sql_updt,$link_vcrx);
        }
        else
        {
          $idnum=msql_result($res_idnum,0,'idnum1');
          $numero=msql_result($res_idnum,0,'numero');
        }  

          $sql_updt ='update '.$tabla.'1 set ';
          $sql_updt.=' uuser="'.$user_codigo.'",';
          $sql_updt.=' udate=now(),';
          $sql_updt.=' status=status';
          $sql_updt.=' where idnum1="'.$idnum.'"';
          $res_updt=msql_query($sql_updt,$link_vcrx);
       
       
       
       
        $iddet=get_iddet($docu,$idnum);

        $sql_inse ='insert into ';
        $sql_inse.=''.$tabla.'2(idnum2,iddet)';
        $sql_inse.='value("'.$idnum.'","'.$iddet.'")';
//         $sql_inse.=''.$tabla.'2(idnum2,iddet,idate2)';
//         $sql_inse.='value("'.$idnum.'","'.$iddet.'",now())';
        $res_inse=msql_query($sql_inse,$link_vcrx);

        $sql_updt ='update '.$tabla.'2 set ';
        $sql_updt.='item="'.$item.'",';
        $sql_updt.='lote="'.$lote.'",';
        $sql_updt.='cant="'.$cant.'",';
        $sql_updt.='puni="'.$puni.'",';
        $sql_updt.='detalle="'.$detalle.'"';
        $sql_updt.=' where idnum2="'.$idnum.'"';
        $sql_updt.=' and iddet="'.$iddet.'"';
        $res_updt=msql_query($sql_updt,$link_vcrx);

        $sql_updt ='update '.$tabla.'2 set ';
        $sql_updt.='idate2=now() ';
        $sql_updt.=' where idnum2="'.$idnum.'"';
        $sql_updt.=' and iddet="'.$iddet.'"';
        $res_updt=@msql_query($sql_updt,$link_vcrx);


        if(mb_stristr('gmny.gnya',$cfg_empr))
        {
          $xcodi2=$item;

          $sql_tlla ='select * from item0 ';
          $sql_tlla.='left join clor0 on item_clor=clor_codigo ';
          $sql_tlla.='left join tlla0 on item_tlla=tlla_codigo ';
          $sql_tlla.='where item_codigo like "'.$xcodi2.'%" order by item_codigo ';
          $res_tlla=msql_query($sql_tlla,$link_vcrx);

          if(msql_num_rows($res_tlla)>1)
          {
            $sql_updt='update '.$tabla.'2 set cant=0.001, puni=0.001 where item="'.$xcodi2.'" and idnum2="'.$idnum1.'" and iddet="'.$iddet.'"' ;
            $res_updt=msql_query($sql_updt,$link_vcrx);

            while($aso_tlla=msql_fetch_assoc($res_tlla))
            {
              $xitem2=trim($aso_tlla['item_codigo']);
              $clor_descri=$aso_tlla['clor_descri'];
              $clor_hexa=$aso_tlla['clor_hexa'];
              $tlla_descri=$aso_tlla['tlla_descri'];
      //         if(${$xitem2}>0)

              if(strlen($xitem2)>8 and ${$xitem2}>0)
              {
                  $oktllas=0;
                  if(substr($xitem2,10,2)!='00')
                  {
                    $sql_item00='select * from item0 where item_codigo like "'.substr($xitem2,0,10).'%"  ';
                    $res_item00=msql_query($sql_item00,$link_vcrx);
                    if(msql_num_rows($res_item00)>1){$oktllas=1;}
                  }
                  if($oktllas==1)
                  {
                    $iddet=get_iddet($docu,$idnum1);
                    $sql_inse='insert into '.$tabla.'2(idnum2,iddet)value('.$idnum1.','.$iddet.')';
                    $res_inse=msql_query($sql_inse,$link_vcrx);

                    $sql_updt='';
                    $sql_updt.='update '.$tabla.'2 set ';
                    $sql_updt.='item="'.$xitem2.'", ';
                    $sql_updt.='cant="'.${$xitem2}.'", ';
                    $sql_updt.='puni="'.$puni.'", ';
                    $sql_updt.='iddet=iddet ';
                    $sql_updt.='where idnum2='.$idnum1;
                    $sql_updt.=' and iddet='.$iddet;
                    // cambiar true=1 false=0
                    $res_updt=msql_query($sql_updt,$link_vcrx);

                    $sql_updt='';
                    $sql_updt.='update '.$tabla.'2 set ';
                    $sql_updt.='idate2=now() ';
                    $sql_updt.='where idnum2='.$idnum1;
                    $sql_updt.=' and iddet='.$iddet;
                    $res_updt=@msql_query($sql_updt,$link_vcrx);


                  }
              }
            }
          }
        }

       
       
       
       
     }
     
   }   
    
    
  ?>

  </pant1>
	<?php //echo '***'.date('H:i:s') .'<br>';?>
				
<?php } ?>			
    
    
</resultado>

<?php $obstart = ob_get_clean(); ?>
<?php $obstart = alltrim($obstart) ?>
<?php echo $obstart;	?>

		